import { Story, Meta } from "@storybook/react";
declare const _default: Meta<import("@storybook/react").Args>;
export default _default;
declare type componentType = "HEADER" | "FOOTER";
declare type PageProps = {
    isSubscribed: boolean;
    onClick: (email: string) => void;
    type?: componentType;
    termsLink?: string;
    privacyLink: string;
    onNewsletterSuccess: () => void;
    onNewsletterError: () => void;
};
export declare const Desktop: Story<PageProps>;
export declare const NewsLetterWidgetLiteStory: () => JSX.Element;
